com.comtrade.ecm.engine.config

## Interface Configuration

-     public interface Configuration

  Description of "Configuration", i. e., what functionalities do we expect from a Configuration-object.

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `<T extends Nameable> T` | `getObject(java.lang.Class<T> clazz, java.lang.String name)`
    `java.util.Map<java.lang.String,java.util.List<java.lang.Object>>` | `getObjects()`
    `<T> java.util.List<T>` | `getObjects(java.lang.Class<T> clazz)`
    `java.util.Collection<java.lang.String>` | `getObjectTypes()`
    `java.util.Map<java.lang.String,ConfigurationParameter>` | `getParameters()`
    `java.lang.String` | `getParameterValue(java.lang.String key)`
    `java.util.List<java.lang.String>` | `getParameterValues(java.lang.String key)`
    `java.util.Map<java.lang.String,java.util.List<ConfigurationParameter>>` | `getRepeatingParameters()`
    `java.lang.String` | `getService(java.lang.String interfaceName)`
    `java.util.Map<java.lang.String,java.lang.String>` | `getServices()`

- - ### Method Detail

    - #### getParameterValue

          java.lang.String getParameterValue(java.lang.String key)

    - #### getParameterValues

          java.util.List<java.lang.String> getParameterValues(java.lang.String key)

    - #### getParameters

          java.util.Map<java.lang.String,ConfigurationParameter> getParameters()

    - #### getRepeatingParameters

          java.util.Map<java.lang.String,java.util.List<ConfigurationParameter>> getRepeatingParameters()

    - #### getService

          java.lang.String getService(java.lang.String interfaceName)

    - #### getServices

          java.util.Map<java.lang.String,java.lang.String> getServices()

    - #### getObjects

          java.util.Map<java.lang.String,java.util.List<java.lang.Object>> getObjects()

    - #### getObjects

          <T> java.util.List<T> getObjects(java.lang.Class<T> clazz)

    - #### getObject

          <T extends Nameable> T getObject(java.lang.Class<T> clazz,
                                           java.lang.String name)

    - #### getObjectTypes

          java.util.Collection<java.lang.String> getObjectTypes()